> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a customer's virtual accounts



## OpenAPI

````yaml /api-reference/openapi.json get /v1/customers/{customerId}/virtual-accounts
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/customers/{customerId}/virtual-accounts:
    get:
      tags:
        - USD and EUR Virtual Accounts
      summary: List a customer's virtual accounts
      operationId: listCustomerVirtualAccounts
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        customerId:
                          type: string
                          format: uuid
                          nullable: true
                        currency:
                          type: string
                        status:
                          type: string
                        depositInstructions:
                          type: object
                          properties:
                            accountNumber:
                              type: string
                              nullable: true
                            accountName:
                              type: string
                              nullable: true
                            bankName:
                              type: string
                              nullable: true
                            routingNumber:
                              type: string
                              nullable: true
                            iban:
                              type: string
                              nullable: true
                            swiftCode:
                              type: string
                              nullable: true
                        createdAt:
                          type: string
                          format: date-time
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.